Freeciv-3.3: scroll_bar Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
scroll_bar Struct Reference

`#include <widget_scrollbar.h>`

## Data Fields

struct widget * | up_left_button
struct widget * | pscroll_bar
struct widget * | down_right_button
Uint8 | active
Uint8 | step
Uint16 | count
Sint16 | min
Sint16 | max

## Detailed Description

Definition at line 20 of file widget_scrollbar.h.

## Field Documentation

## ◆ active

Uint8 scroll_bar::active

Definition at line 24 of file widget_scrollbar.h.

Referenced by add_widget_to_vertical_scroll_widget_list(), add_widget_to_vertical_scroll_widget_list(), create_horizontal_scrollbar(), create_vertical_scrollbar(), del_widget_from_vertical_scroll_widget_list(), del_widget_from_vertical_scroll_widget_list(), down_scroll_widget_list(), get_position(), get_step(), inside_scroll_down_loop(), inside_scroll_up_loop(), popup_load_game_dialog(), popup_tech_info(), redraw_unit_info_label(), setup_vertical_scrollbar_area(), and update_goto_dialog().

## ◆ count

Uint16 scroll_bar::count

Definition at line 27 of file widget_scrollbar.h.

Referenced by add_widget_to_vertical_scroll_widget_list(), add_widget_to_vertical_scroll_widget_list(), create_horizontal_scrollbar(), create_vertical_scrollbar(), del_widget_from_vertical_scroll_widget_list(), del_widget_from_vertical_scroll_widget_list(), get_step(), popup_find_dialog(), popup_players_nations_dialog(), real_activeunits_report_dialog_update(), real_conn_list_dialog_update(), real_info_city_report_dialog_update(), real_meswin_dialog_update(), redraw_unit_info_label(), setup_vertical_scrollbar_area(), and update_goto_dialog().

## ◆ down_right_button

struct widget * scroll_bar::down_right_button

Definition at line 23 of file widget_scrollbar.h.

Referenced by create_horizontal_scrollbar(), create_vertical_scrollbar(), disable_economy_dlg(), enable_city_dlg_widgets(), enable_economy_dlg(), popup_load_del_presets_dialog(), redraw_unit_info_label(), setup_vertical_scrollbar_area(), and setup_vertical_scrollbar_default_callbacks().

## ◆ max

Sint16 scroll_bar::max

Definition at line 29 of file widget_scrollbar.h.

Referenced by create_horizontal_scrollbar(), get_position(), get_step(), inside_scroll_down_loop(), scroll_mouse_motion_handler(), and setup_vertical_scrollbar_area().

## ◆ min

Sint16 scroll_bar::min

Definition at line 28 of file widget_scrollbar.h.

Referenced by create_horizontal_scrollbar(), get_step(), inside_scroll_up_loop(), scroll_mouse_motion_handler(), and setup_vertical_scrollbar_area().

## ◆ pscroll_bar

struct widget * scroll_bar::pscroll_bar

Definition at line 22 of file widget_scrollbar.h.

Referenced by add_widget_to_vertical_scroll_widget_list(), add_widget_to_vertical_scroll_widget_list(), create_horizontal_scrollbar(), create_vertical_scrollbar(), del_widget_from_vertical_scroll_widget_list(), del_widget_from_vertical_scroll_widget_list(), disable_economy_dlg(), enable_city_dlg_widgets(), enable_economy_dlg(), get_position(), inside_scroll_down_loop(), inside_scroll_up_loop(), popup_load_game_dialog(), real_conn_list_dialog_update(), setup_vertical_scrollbar_area(), setup_vertical_scrollbar_default_callbacks(), update_goto_dialog(), and vertic_scroll_widget_list().

## ◆ step

Uint8 scroll_bar::step

Definition at line 25 of file widget_scrollbar.h.

Referenced by add_widget_to_vertical_scroll_widget_list(), add_widget_to_vertical_scroll_widget_list(), create_vertical_scrollbar(), del_widget_from_vertical_scroll_widget_list(), del_widget_from_vertical_scroll_widget_list(), down_scroll_widget_list(), get_position(), get_step(), inside_scroll_down_loop(), inside_scroll_up_loop(), redraw_unit_info_label(), and setup_vertical_scrollbar_area().

## ◆ up_left_button

struct widget * scroll_bar::up_left_button

Definition at line 21 of file widget_scrollbar.h.

Referenced by add_new_worklist_callback(), create_horizontal_scrollbar(), create_vertical_scrollbar(), disable_economy_dlg(), edit_worklist_callback(), enable_city_dlg_widgets(), enable_economy_dlg(), popup_impr_info(), popup_load_del_presets_dialog(), popup_races_dialog(), popup_tech_info(), popup_unit_info(), real_meswin_dialog_update(), redraw_unit_info_label(), remove_clause_widget_from_list(), setup_vertical_scrollbar_area(), setup_vertical_scrollbar_default_callbacks(), update_clauses_list(), and update_goto_dialog().